image:
  name: hashicorp/terraform:light
  entrypoint:
    - '/usr/bin/env'
    - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'

before_script:
    - rm -rf .terraform
    - terraform init
    - echo "$GCP_CREDENTIALS" > "terraform_service_account.json"

stages:
  - deploy
  
deploy:
  stage: deploy
  script:
    - terraform plan -var 'gcp_default_project=$GCP_PROJECT' -out "$PLAN_OUT_FILE"
    - terraform apply "$PLAN_OUT_FILE" -auto-approve
  only:
    - master
